Bug 700360 - notifications stay in the tray forever (if not removed manually) in gnome shell
notifications stay in the tray forever (if not removed manually) in gnome shell
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: deja-dup (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 04:24 EDT by Elad Alfassa
Modified: 2012-08-07 13:16 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:16:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elad Alfassa 2011-04-28 04:24:39 EDT
Notifications such as "scheduled backup delayed" and "starting scheduled backup" does not disappear automatically.
I would expect those the "scheduled backup delayed" notification to disappear when the backup starts, and the "starting scheduled backup" notification to disappear when backup finishes (and perhaps add a "backup completed successfully" notification, so I'll know when it's safe to disconnect my backup drive).
Comment 1 Rahul Sundaram 2011-05-11 05:49:04 EDT
I believe GNOME Shell notifications are designed to persistent. 

http://blogs.gnome.org/marina/2011/01/07/notifications-with-character/

I am not sure this is a bug
Comment 2 Elad Alfassa 2011-05-11 06:57:37 EDT
It's not a bug in gnome, it's a bug in Deja Dup. Gnome 3 allows temporary notifications as well.
The best behaviour of these two specific notifications would be:
The backup started should disappear when the backup is complete.
The backup delayed notification should also disappear when the backup started.
An application can control when and if the notifications stop being persistent.
Comment 3 Rahul Sundaram 2011-05-11 07:18:38 EDT
Michael Terry,

Do you want me to file this upstream?
Comment 4 Elad Alfassa 2011-05-11 07:23:26 EDT
I already did, forgot to add the link here.
https://bugs.launchpad.net/deja-dup/+bug/776483/
Comment 6 kubrick@fgv6.net 2011-08-19 05:31:21 EDT
CC ME. Waiting for the fix on Fedora...
Comment 7 Fedora End Of Life 2012-08-07 13:16:48 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.